summaryrefslogtreecommitdiffstats
path: root/scripts/contrib/uncovered
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/contrib/uncovered')
-rwxr-xr-xscripts/contrib/uncovered26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/contrib/uncovered b/scripts/contrib/uncovered
new file mode 100755
index 0000000000..f16128cb7a
--- /dev/null
+++ b/scripts/contrib/uncovered
@@ -0,0 +1,26 @@
+#!/bin/bash -eur
+#
+# Find python modules uncovered by oe-seltest
+#
+# Copyright (c) 2016, Intel Corporation
+#
+# SPDX-License-Identifier: GPL-2.0-only
+#
+# Author: Ed Bartosh <ed.bartosh@linux.intel.com>
+#
+
+if [ ! "$#" -eq 1 -o -t 0 ] ; then
+ echo 'Usage: coverage report | ./scripts/contrib/uncovered <dir>' 1>&2
+ exit 1
+fi
+
+path=$(readlink -ev $1)
+
+if [ ! -d "$path" ] ; then
+ echo "directory $1 doesn't exist" 1>&2
+ exit 1
+fi
+
+diff -u <(grep "$path" | grep -v '0%$' | cut -f1 -d: | sort) \
+ <(find $path | xargs file | grep 'Python script' | cut -f1 -d:| sort) | \
+ grep "^+$path" | cut -c2-